osl::eval::ml::King25EffectEach< Stage > Class Template Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Types | Public Member Functions | Static Public Member Functions | Static Private Member Functions | Static Private Attributes | List of all members
osl::eval::ml::King25EffectEach< Stage > Class Template Reference

`#include <kingTable.h>`

Inheritance diagram for osl::eval::ml::King25EffectEach< Stage >:
[legend]
Collaboration diagram for osl::eval::ml::King25EffectEach< Stage >:
[legend]

## Public Types
enum | { DIM = 5 * 3 * STATE_MAX * 3 }

## Public Member Functions
template<osl::Player Defense>
osl::eval::ml::EffectState | effectState (const NumEffectState &state, Square target)
template<osl::Player Defense>
int | index (const NumEffectState &state, Square king, Square target)
template<osl::Player Defense>
int | evalOne (const NumEffectState &state)

## Static Public Member Functions
static void | setUp (const Weights &weigths)
static int | eval (const NumEffectState &state)

## Static Private Member Functions
template<Player Defense>
static EffectState | effectState (const NumEffectState &state, Square target)
template<Player Defense>
static int | index (const NumEffectState &state, Square king, Square target)
template<osl::Player Defense>
static int | evalOne (const NumEffectState &state)

## Static Private Attributes
static CArray< int, 5 *3 *8 *3 > | table

## Detailed Description

### template<int Stage>
class osl::eval::ml::King25EffectEach< Stage >

Definition at line 515 of file kingTable.h.

## Member Enumeration Documentation

template<int Stage>

anonymous enum

Enumerator
DIM |

Definition at line 518 of file kingTable.h.

## Member Function Documentation

template<int Stage>
template<Player Defense>

static EffectState osl::eval::ml::King25EffectEach< Stage >::effectState | ( | const NumEffectState & | state,
|  | Square | target
| ) |  |
| staticprivate

template<int Stage>
template<osl::Player Defense>

osl::eval::ml::EffectState osl::eval::ml::King25EffectEach< Stage >::effectState | ( | const NumEffectState & | state,
|  | Square | target
| ) |  |

Definition at line 780 of file kingTable.cc.

References osl::alt(), osl::eval::ml::ATTACK_DIFF_0, osl::eval::max(), and osl::eval::min().

template<int Stage>

int osl::eval::ml::King25EffectEach< Stage >::eval | ( | const NumEffectState & | state) |  |
| static

Definition at line 845 of file kingTable.cc.

template<int Stage>
template<osl::Player Defense>

static int osl::eval::ml::King25EffectEach< Stage >::evalOne | ( | const NumEffectState & | state) |  |
| staticprivate

template<int Stage>
template<osl::Player Defense>

int osl::eval::ml::King25EffectEach< Stage >::evalOne | ( | const NumEffectState & | state) |  |

Definition at line 820 of file kingTable.cc.

References osl::BLACK, osl::eval::max(), osl::eval::min(), result, target, osl::Square::x(), and osl::Square::y().

template<int Stage>
template<Player Defense>

static int osl::eval::ml::King25EffectEach< Stage >::index | ( | const NumEffectState & | state,
|  | Square | king,
|  | Square | target
| ) |  |
| staticprivate

template<int Stage>
template<osl::Player Defense>

int osl::eval::ml::King25EffectEach< Stage >::index | ( | const NumEffectState & | state,
|  | Square | king,
|  | Square | target
| ) |  |

Definition at line 795 of file kingTable.cc.

References osl::BLACK, osl::Piece::isEmpty(), osl::Piece::owner(), target, osl::Square::x(), and osl::Square::y().

template<int Stage>

void osl::eval::ml::King25EffectEach< Stage >::setUp | ( | const Weights & | weigths) |  |
| static

Definition at line 769 of file kingTable.cc.

References osl::eval::ml::Weights::dimension(), and osl::eval::ml::Weights::value().

## Member Data Documentation

template<int Stage>

osl::misc::CArray< int, 5 *3 *8 *3 > osl::eval::ml::King25EffectEach< Stage >::table
| staticprivate

Definition at line 520 of file kingTable.h.

The documentation for this class was generated from the following files:

- kingTable.h
- kingTable.cc